Skip to main content
GET
/
lookup
/
bonds
/
cost
/
{identifier}
Get bond cost by mint or symbol
curl --request GET \
  --url https://api.etherfuse.com/lookup/bonds/cost/{identifier}
{
  "bond_cost_in_payment_token": "1.153754",
  "bond_cost_in_usd": "0.064785",
  "fiat_exchange_rate_with_usd": "17.80900",
  "bond_cost_in_fiat": "1.153754",
  "current_basis_points": 578,
  "bond_symbol": "CETES",
  "currency": "MXN",
  "current_time": "2026-03-23T16:50:32.821673099+00:00",
  "mint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "symbol": "USDC",
  "sources": {
    "provider_1": {
      "exchange_rate": "17.81",
      "bond_cost_in_usd": "0.064781",
      "updated_at": 1711212632
    },
    "provider_2": {
      "exchange_rate": "17.79",
      "bond_cost_in_usd": "0.064854",
      "updated_at": 1711212630
    }
  }
}

Path Parameters

identifier
string
required

Bond mint address or symbol (e.g., "CETES", "USTRY", "CETES7CKqqKQizuSN6iWQwmTeFRjbJR6Vw2XRKfEDR8f")

Query Parameters

max_age
integer

Maximum age of a source in seconds. Sources older than this are excluded from the sources map. When omitted, all sources are returned.

Response

Bond cost retrieved successfully

bond_cost_in_payment_token
string
deprecated

Bond cost in fiat (deprecated, same as bond_cost_in_fiat)

bond_cost_in_usd
string

Bond cost in USD using the aggregated exchange rate

fiat_exchange_rate_with_usd
string

Aggregated USD-to-fiat exchange rate used for the primary bond_cost_in_usd calculation

bond_cost_in_fiat
string

Bond cost in the bond's native fiat currency

current_basis_points
integer

Current interest rate in basis points

bond_symbol
string

Bond symbol (e.g., CETES, USTRY, GILTS)

currency
string

Fiat currency code (e.g., MXN, USD, EUR)

current_time
string

ISO 8601 timestamp of when this price was computed

mint
string

Payment token mint address (e.g., USDC mint)

symbol
string

Payment token symbol (e.g., USDC)

sources
object

Per-provider exchange rate data with derived bond_cost_in_usd for each provider